import com.apple.cocoa.foundation.*;
import com.apple.cocoa.application.*;

public class Child extends Player{

	private Parent parent;
	private GameView main_view;
	private NSButton bt_s, bt_h;

	Child (Card c) {
		super(c);
	}

	void setButton(NSButton s, NSButton h) {
		bt_s = s;
		bt_h = h;
		try {
			Class c[] = new Class[1];
			c[0] = Class.forName("java.lang.Object");
			NSSelector sel1 = new NSSelector("stand", c);
			NSSelector sel2 = new NSSelector("hit", c);
			bt_s.setTarget(this);
			bt_s.setAction(sel1);
			bt_h.setTarget(this);
			bt_h.setAction(sel2);
		} catch(ClassNotFoundException e) {
			System.err.println(e);
		}
	}

	void setView(GameView view) {
		main_view = view;
		main_view.setPlayer(this);
	}

	void setParent(Parent p) { parent = p; }

	void turn() {
		bt_s.setEnabled(true);
		bt_h.setEnabled(true);
		main_view.plot(0);
	}

	void hit(Object sender) {
		pullCard();
		main_view.plot(0);
		if(totalScore() > 21) {
			pass();
		}
	}
	
	void stand(Object sender) {
		pass();
	}
	
	void pass() {
		bt_s.setEnabled(false);
		bt_h.setEnabled(false);
		parent.turn2();
	}
}
